package com.zd.forward.domain;

/**
 * @Author: zhoupan
 * @Date: 2021/11/13/10:10
 * @Description:
 */
public class RequestData {

    //算法ID，由极视角定义的算法ID，只读
    private String aid;
    //摄像头ID，存在两种情况：
    private String cid;
    //摄像头对应拉流地址/rtsp
    private Long cid_ur;
    //算法服务器时间戳，unix标准时间戳格式
    private Long time_stamp;
    //状态值
    private int status;
    //srcpic_name 报警输出图片关联的原始分析图片
    private String srcpic_name;
    //原始分析图片，base64格式编码
    private String srcpic_data;
    /**
     * 报警图片命名，格式为 “时间（精确到秒）_us（微秒）_cid（摄像头ID）_fix（输入或输 出）.jpg”，
     * 例：20180719121005_266236_3_out.jpg
     */
    private String pic_name;
    //报警结果图片，base64格式编码 不带换行
    private String pic_data;

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public Long getCid_ur() {
        return cid_ur;
    }

    public void setCid_ur(Long cid_ur) {
        this.cid_ur = cid_ur;
    }

    public Long getTime_stamp() {
        return time_stamp;
    }

    public void setTime_stamp(Long time_stamp) {
        this.time_stamp = time_stamp;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getSrcpic_name() {
        return srcpic_name;
    }

    public void setSrcpic_name(String srcpic_name) {
        this.srcpic_name = srcpic_name;
    }

    public String getSrcpic_data() {
        return srcpic_data;
    }

    public void setSrcpic_data(String srcpic_data) {
        this.srcpic_data = srcpic_data;
    }

    public String getPic_name() {
        return pic_name;
    }

    public void setPic_name(String pic_name) {
        this.pic_name = pic_name;
    }

    public String getPic_data() {
        return pic_data;
    }

    public void setPic_data(String pic_data) {
        this.pic_data = pic_data;
    }
}
